import { Type } from '@angular/core';
import { Widget } from './widget';
import { StaticMediaComponent } from '../../../sculptor-lib/widgets/static-media/static-media.component';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
export declare class StaticMedia extends Widget {
    value: string;
    showPrompt: boolean;
    height: string;
    isHidden: boolean;
    mainType: string;
    staticMediaFile: string;
    staticMedia: string;
    indent: string;
    fontSize: string;
    markup: string;
    component: Type<StaticMediaComponent>;
    name: string;
    constructor(field?: Widget);
    newStaticMedia(): void;
    /**function to create static-media object with existing values
    *
    *@param field
    *
    */
    createStaticMedia(field: any): void;
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
